> This page is for Schema Service, version v3 (latest) (default).
> For other versions, use one of these documentation indexes:
> - v3 (latest) (default): https://autodesk.ferndocs.com/schema/schema-service/v3/llms.txt
> - v2: https://autodesk.ferndocs.com/schema/schema-service/v2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://autodesk.ferndocs.com/schema/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://autodesk.ferndocs.com/schema/_mcp/server.

# List Tag Associations of Multiple Schemas

POST https://developer-stg.api.autodesk.com/schema/v3/resources/tags:batch-get
Content-Type: application/json

Lists all Tag Associations for the schemas specified by the request body.

Reference: https://autodesk.ferndocs.com/schema/schema-service/api-reference/tags-api/tag-associations/post-resources-tags-batch-get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://developer-stg.api.autodesk.com/schema/v3` (The URL for Staging environment, default)
- `https://developer-dev.api.autodesk.com/schema/v3` (The URL for Development environment)
- `https://developer.api.autodesk.com/schema/v3` (The URL for Production environment)

## Request

### Headers

- `Region` (enum, optional, default: US) — The Autodesk Schema Registry currently supports in the US and EMEA regions. This header specifies where your data is stored. Possible Values: - ``US`` - (Default) All requests without a specified region header will be directed to the US region. - ``EMEA`` - Data center for the European Union, Middle East, and Africa. To access the EMEA region specifically, include the header "region: EMEA" in your API requests.
  - Allowed values: `US`, `EMEA`

### Body (application/json)

This endpoint expects a list of ResourcesTagsBatchGetPostRequestBodyContentApplicationJsonSchemaItems.

- `list of ResourcesTagsBatchGetPostRequestBodyContentApplicationJsonSchemaItems`

## Response

### 200

The Tag Associations were retrieved successfully.

- `list of ResourcesTagsBatchGetPostResponsesContentApplicationJsonSchemaItems`

### 207

Partial success and partial failure. One or multiple schemas does not exist for the given qualifier.

## Errors

### 400 Bad Request Error

The Autodesk Schema Registry was not able to decipher your request. Check the request body for malformed request syntax or invalid request message framing before you try again.

- `type` (string, optional) — UTF-8 encoded string
- `title` (string, optional) — UTF-8 encoded string
- `detail` (string, optional) — User-friendly error message.
- `errors` (list of ErrorDetail, optional) — This property will contains relevant error details.

### 401 Unauthorized Error

The request did not have a valid access token. Obtain a fresh access token and try again.

- `type` (string, optional) — UTF-8 encoded string
- `title` (string, optional) — UTF-8 encoded string
- `detail` (string, optional) — User-friendly error message.
- `errors` (list of ErrorDetail, optional) — This property will contains relevant error details.

### 403 Forbidden Error

You do not have permission to perform the operation specified by the request. Contact your LIBRARY_ADMIN and resolve any permission issues before trying this request again.

- `type` (string, optional) — UTF-8 encoded string
- `title` (string, optional) — UTF-8 encoded string
- `detail` (string, optional) — User-friendly error message.
- `errors` (list of ErrorDetail, optional) — This property will contains relevant error details.

### 404 Not Found Error

The requested resource was not found. Verify that the details of the resource you requested are correct before you try again.

- `type` (string, optional) — UTF-8 encoded string
- `title` (string, optional) — UTF-8 encoded string
- `detail` (string, optional) — User-friendly error message.
- `errors` (list of ErrorDetail, optional) — This property will contains relevant error details.

### 429 Too Many Requests Error

You have exceeded the Rate Limit for the requested resource. Check the ``retry-after`` response header and send the request again, after the specified time period has elapsed.

- `type` (string, optional) — UTF-8 encoded string
- `title` (string, optional) — UTF-8 encoded string
- `detail` (string, optional) — User-friendly error message.
- `errors` (list of ErrorDetail, optional) — This property will contains relevant error details.

## Types

### ResourcesTagsBatchGetPostRequestBodyContentApplicationJsonSchemaItems

- `type` (string, required) — Always ``tags``.
- `resourceId` (string, required) — The ID of the schema that is associated with the Tag.
- `tagAssociation` (list of ResourcesTagsBatchGetPostRequestBodyContentApplicationJsonSchemaItemsTagAssociationItems, required) — An array containing a list of Tag Associations of the schema.

### ResourcesTagsBatchGetPostResponsesContentApplicationJsonSchemaItems

- `type` (string, required) — Always ``tags``.
- `resourceId` (string, required) — The ID of the schema that is associated with the Tag.
- `tagAssociation` (list of ResourcesTagsBatchGetPostResponsesContentApplicationJsonSchemaItemsTagAssociationItems, required) — An array containing a list of Tag Associations of the schema.

### ErrorDetail

Error response model according to the APS standard

- `type` (string, optional) — Specifies the type of the error that occured.
- `title` (string, optional) — Contains a summary of the error.
- `detail` (string, optional) — Contains a detailed description of the error that occured, and sometimes, tips on how to fix the error.

### ResourcesTagsBatchGetPostRequestBodyContentApplicationJsonSchemaItemsTagAssociationItems

- `tagId` (string, required) — An ID that uniquely identifies the Tag Association.
- `tagCollectionId` (string, required) — The ID of the Tag associated with the schema.

### ResourcesTagsBatchGetPostResponsesContentApplicationJsonSchemaItemsTagAssociationItems

- `tagId` (string, required) — An ID that uniquely identifies the Tag Association.
- `tagCollectionId` (string, required) — The ID of the Tag associated with the schema.

## Examples

### Example 1

**Request**

```json
[
  {
    "type": "tags",
    "resourceId": "propertySets:autodesk.unit.unit:kelvin-1.0.0",
    "tagAssociation": [
      {
        "tagId": "ABPX-54108-ASKR-39600",
        "tagCollectionId": "test.sandbox.fss"
      },
      {
        "tagId": "ABPX-54108-BECV-70646",
        "tagCollectionId": "test.sandbox.fss"
      }
    ]
  }
]
```

**Response**

```json
[
  {
    "type": "tags",
    "resourceId": "propertySets:autodesk.unit.unit:kelvin-1.0.0",
    "tagAssociation": [
      {
        "tagId": "ACHX-44239-FJYF-31931",
        "tagCollectionId": "autodesk"
      },
      {
        "tagId": "ACPT-19814-JDGS-63687",
        "tagCollectionId": "autodesk"
      }
    ]
  }
]
```

**SDK Code**

```python
import requests

url = "https://developer-stg.api.autodesk.com/schema/v3/resources/tags:batch-get"

payload = [
    {
        "type": "tags",
        "resourceId": "propertySets:autodesk.unit.unit:kelvin-1.0.0",
        "tagAssociation": [
            {
                "tagId": "ABPX-54108-ASKR-39600",
                "tagCollectionId": "test.sandbox.fss"
            },
            {
                "tagId": "ABPX-54108-BECV-70646",
                "tagCollectionId": "test.sandbox.fss"
            }
        ]
    }
]
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://developer-stg.api.autodesk.com/schema/v3/resources/tags:batch-get';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '[{"type":"tags","resourceId":"propertySets:autodesk.unit.unit:kelvin-1.0.0","tagAssociation":[{"tagId":"ABPX-54108-ASKR-39600","tagCollectionId":"test.sandbox.fss"},{"tagId":"ABPX-54108-BECV-70646","tagCollectionId":"test.sandbox.fss"}]}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://developer-stg.api.autodesk.com/schema/v3/resources/tags:batch-get"

	payload := strings.NewReader("[\n  {\n    \"type\": \"tags\",\n    \"resourceId\": \"propertySets:autodesk.unit.unit:kelvin-1.0.0\",\n    \"tagAssociation\": [\n      {\n        \"tagId\": \"ABPX-54108-ASKR-39600\",\n        \"tagCollectionId\": \"test.sandbox.fss\"\n      },\n      {\n        \"tagId\": \"ABPX-54108-BECV-70646\",\n        \"tagCollectionId\": \"test.sandbox.fss\"\n      }\n    ]\n  }\n]")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://developer-stg.api.autodesk.com/schema/v3/resources/tags:batch-get")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"type\": \"tags\",\n    \"resourceId\": \"propertySets:autodesk.unit.unit:kelvin-1.0.0\",\n    \"tagAssociation\": [\n      {\n        \"tagId\": \"ABPX-54108-ASKR-39600\",\n        \"tagCollectionId\": \"test.sandbox.fss\"\n      },\n      {\n        \"tagId\": \"ABPX-54108-BECV-70646\",\n        \"tagCollectionId\": \"test.sandbox.fss\"\n      }\n    ]\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://developer-stg.api.autodesk.com/schema/v3/resources/tags:batch-get")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"type\": \"tags\",\n    \"resourceId\": \"propertySets:autodesk.unit.unit:kelvin-1.0.0\",\n    \"tagAssociation\": [\n      {\n        \"tagId\": \"ABPX-54108-ASKR-39600\",\n        \"tagCollectionId\": \"test.sandbox.fss\"\n      },\n      {\n        \"tagId\": \"ABPX-54108-BECV-70646\",\n        \"tagCollectionId\": \"test.sandbox.fss\"\n      }\n    ]\n  }\n]")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://developer-stg.api.autodesk.com/schema/v3/resources/tags:batch-get', [
  'body' => '[
  {
    "type": "tags",
    "resourceId": "propertySets:autodesk.unit.unit:kelvin-1.0.0",
    "tagAssociation": [
      {
        "tagId": "ABPX-54108-ASKR-39600",
        "tagCollectionId": "test.sandbox.fss"
      },
      {
        "tagId": "ABPX-54108-BECV-70646",
        "tagCollectionId": "test.sandbox.fss"
      }
    ]
  }
]',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://developer-stg.api.autodesk.com/schema/v3/resources/tags:batch-get");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"type\": \"tags\",\n    \"resourceId\": \"propertySets:autodesk.unit.unit:kelvin-1.0.0\",\n    \"tagAssociation\": [\n      {\n        \"tagId\": \"ABPX-54108-ASKR-39600\",\n        \"tagCollectionId\": \"test.sandbox.fss\"\n      },\n      {\n        \"tagId\": \"ABPX-54108-BECV-70646\",\n        \"tagCollectionId\": \"test.sandbox.fss\"\n      }\n    ]\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "type": "tags",
    "resourceId": "propertySets:autodesk.unit.unit:kelvin-1.0.0",
    "tagAssociation": [
      [
        "tagId": "ABPX-54108-ASKR-39600",
        "tagCollectionId": "test.sandbox.fss"
      ],
      [
        "tagId": "ABPX-54108-BECV-70646",
        "tagCollectionId": "test.sandbox.fss"
      ]
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://developer-stg.api.autodesk.com/schema/v3/resources/tags:batch-get")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Example 2

**Request**

```json
[
  {
    "type": "tags",
    "resourceId": "propertySets:autodesk.unit.unit:kelvin-1.0.0",
    "tagAssociation": [
      {
        "tagId": "ABPX-54108-ASKR-39600",
        "tagCollectionId": "test.sandbox.fss"
      },
      {
        "tagId": "ABPX-54108-BECV-70646",
        "tagCollectionId": "test.sandbox.fss"
      }
    ]
  }
]
```

**Response**

```json
[
  {
    "type": "tags",
    "resourceId": "propertySets:autodesk.unit.unit:kelvin-1.0.0",
    "tagAssociation": [
      {
        "tagId": "ACHX-44239-FJYF-31931",
        "tagCollectionId": "autodesk"
      },
      {
        "tagId": "ACPT-19814-JDGS-63687",
        "tagCollectionId": "autodesk"
      }
    ]
  }
]
```

**SDK Code**

```python
import requests

url = "https://developer-stg.api.autodesk.com/schema/v3/resources/tags:batch-get"

payload = [
    {
        "type": "tags",
        "resourceId": "propertySets:autodesk.unit.unit:kelvin-1.0.0",
        "tagAssociation": [
            {
                "tagId": "ABPX-54108-ASKR-39600",
                "tagCollectionId": "test.sandbox.fss"
            },
            {
                "tagId": "ABPX-54108-BECV-70646",
                "tagCollectionId": "test.sandbox.fss"
            }
        ]
    }
]
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://developer-stg.api.autodesk.com/schema/v3/resources/tags:batch-get';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '[{"type":"tags","resourceId":"propertySets:autodesk.unit.unit:kelvin-1.0.0","tagAssociation":[{"tagId":"ABPX-54108-ASKR-39600","tagCollectionId":"test.sandbox.fss"},{"tagId":"ABPX-54108-BECV-70646","tagCollectionId":"test.sandbox.fss"}]}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://developer-stg.api.autodesk.com/schema/v3/resources/tags:batch-get"

	payload := strings.NewReader("[\n  {\n    \"type\": \"tags\",\n    \"resourceId\": \"propertySets:autodesk.unit.unit:kelvin-1.0.0\",\n    \"tagAssociation\": [\n      {\n        \"tagId\": \"ABPX-54108-ASKR-39600\",\n        \"tagCollectionId\": \"test.sandbox.fss\"\n      },\n      {\n        \"tagId\": \"ABPX-54108-BECV-70646\",\n        \"tagCollectionId\": \"test.sandbox.fss\"\n      }\n    ]\n  }\n]")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://developer-stg.api.autodesk.com/schema/v3/resources/tags:batch-get")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"type\": \"tags\",\n    \"resourceId\": \"propertySets:autodesk.unit.unit:kelvin-1.0.0\",\n    \"tagAssociation\": [\n      {\n        \"tagId\": \"ABPX-54108-ASKR-39600\",\n        \"tagCollectionId\": \"test.sandbox.fss\"\n      },\n      {\n        \"tagId\": \"ABPX-54108-BECV-70646\",\n        \"tagCollectionId\": \"test.sandbox.fss\"\n      }\n    ]\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://developer-stg.api.autodesk.com/schema/v3/resources/tags:batch-get")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"type\": \"tags\",\n    \"resourceId\": \"propertySets:autodesk.unit.unit:kelvin-1.0.0\",\n    \"tagAssociation\": [\n      {\n        \"tagId\": \"ABPX-54108-ASKR-39600\",\n        \"tagCollectionId\": \"test.sandbox.fss\"\n      },\n      {\n        \"tagId\": \"ABPX-54108-BECV-70646\",\n        \"tagCollectionId\": \"test.sandbox.fss\"\n      }\n    ]\n  }\n]")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://developer-stg.api.autodesk.com/schema/v3/resources/tags:batch-get', [
  'body' => '[
  {
    "type": "tags",
    "resourceId": "propertySets:autodesk.unit.unit:kelvin-1.0.0",
    "tagAssociation": [
      {
        "tagId": "ABPX-54108-ASKR-39600",
        "tagCollectionId": "test.sandbox.fss"
      },
      {
        "tagId": "ABPX-54108-BECV-70646",
        "tagCollectionId": "test.sandbox.fss"
      }
    ]
  }
]',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://developer-stg.api.autodesk.com/schema/v3/resources/tags:batch-get");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"type\": \"tags\",\n    \"resourceId\": \"propertySets:autodesk.unit.unit:kelvin-1.0.0\",\n    \"tagAssociation\": [\n      {\n        \"tagId\": \"ABPX-54108-ASKR-39600\",\n        \"tagCollectionId\": \"test.sandbox.fss\"\n      },\n      {\n        \"tagId\": \"ABPX-54108-BECV-70646\",\n        \"tagCollectionId\": \"test.sandbox.fss\"\n      }\n    ]\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "type": "tags",
    "resourceId": "propertySets:autodesk.unit.unit:kelvin-1.0.0",
    "tagAssociation": [
      [
        "tagId": "ABPX-54108-ASKR-39600",
        "tagCollectionId": "test.sandbox.fss"
      ],
      [
        "tagId": "ABPX-54108-BECV-70646",
        "tagCollectionId": "test.sandbox.fss"
      ]
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://developer-stg.api.autodesk.com/schema/v3/resources/tags:batch-get")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```